Bug 1307126 - SELinux prevents web application to access zebradb
SELinux prevents web application to access zebradb
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: idzebra (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicholas van Oudtshoorn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 13:50 EST by Federico Leva
Modified: 2016-12-21 02:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:40:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Leva 2016-02-12 13:50:32 EST
Description of problem:

Koha cannot communicate with Zebra.

Version-Release number of selected component (if applicable):

# rpm -qa | grep zebra
libidzebra-modules-2.0.58-6.fc23.x86_64
libidzebra-devel-2.0.58-6.fc23.x86_64
idzebra-2.0.58-6.fc23.x86_64
libidzebra-2.0.58-6.fc23.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Install idzebra (and libidzebra, libidzebra-modules, libidzebra-devel).
2. Run zebrasrv
3. 

Actual results:

SELinux prevents Koha (in my example running as user koha:apache within httpd set to run as apache:apache) from accessing the socket although the file is world-writable:

type=AVC msg=audit(1455270242.843:2264): avc:  denied  { connectto } for  pid=16658 comm="search.pl" path="/run/koha/zebradb/bibliosocket" scontext=system_u:system_r:httpd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket permissive=0

Expected results:

The application can contact the zebradb via the UNIX socket (provided that file permissions are set).

Additional info:

I think I fixed the issue, like this: https://github.com/nemobis/beic-koha/commit/3fb95488255121b714cedb969552d49b1379a551
I'm not sure whether we are expected to fix the SELinux policy for Koha ourselves or not, but I see there is a "zebra" module in semodule -l and the documentation says to report the cases where a custom policy is needed, so here I am.
Comment 1 Fedora End Of Life 2016-11-24 10:32:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:40:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Federico Leva 2016-12-21 02:51:39 EST
I think this is still relevant, but I can't test right now.

Note You need to log in before you can comment on or make changes to this bug.